## libfreenect 0.5.2+git6-g5455843+dfsg

=== debian/changelog ===
libfreenect (1:0.5.2+git6-g5455843+dfsg-1) unstable; urgency=medium

  * New upstream snapshot from v0.5.2-6-g5455843 with few fixes
  * Upload to unstable
  * Added 3 new missing symbols to .symbols file
  * debian/control
    - boosted policy compliance to 3.9.6

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 29 Apr 2015 09:15:43 -0400

libfreenect (1:0.5.2+git2-g68073c3+dfsg-1) experimental; urgency=medium

  * New upstream snapshot from v0.5.2-2-g68073c3
  * debian/patches/add-missing-libs.patch to resolve conflict
  * debian/control
    - requires libusb >= 1.0.18 (for libusb_get_parent)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 13 Feb 2015 10:22:27 -0500

libfreenect (1:0.5.1+dfsg-1) experimental; urgency=medium

  * The latest upstream release
  * debian/patches
    - some removed, some refreshed
    - adjusted for which python gets selected (force to use python 2)
  * debian/libfreenect0.5.symbols
    - updated for introduced new symbols
  * debian/rules
    - no longer manual prefixing of binaries is needed, upstream provides
      prefixes
  * debian/control
    - -dev package depends on libusb-1.0-0-dev (Closes: #775768)
  * debian/copyright
    - updated upstream years and added missing copyright/license information
      (Thanks Thorsten Alteholz for the review)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 20 Jan 2015 14:00:33 -0500
