## libfreenect 0.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -48,7 +48,7 @@
 
 set (PROJECT_VER_MAJOR 0)
 set (PROJECT_VER_MINOR 5)
-set (PROJECT_VER_PATCH 2)
+set (PROJECT_VER_PATCH 3)
 set (PROJECT_VER
   "${PROJECT_VER_MAJOR}.${PROJECT_VER_MINOR}.${PROJECT_VER_PATCH}")
 set (PROJECT_APIVER
