=== wrappers/java/Makefile ===
all:
	mvn assembly:assembly -Dmaven.test.skip=true
