=== debian/changelog ===
libfreenect (1:0.5.3-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113152)

 -- Adrian Bunk <bunk@debian.org>  Mon, 27 Oct 2025 13:52:30 +0200

libfreenect (1:0.5.3-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062298

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 12:05:12 +0000

libfreenect (1:0.5.3-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Move udev files from /lib to /usr/lib, including protective diversion
    against Multi-Arch: same file loss scenario (DEP17 P7 M10).
    (Closes: #1056911)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 26 Nov 2023 15:57:36 +0100

libfreenect (1:0.5.3-3) unstable; urgency=medium

  * debian/control
    - fix up Vcs fields to point to salsa
    - remove no longer used X-Python-Version
    - remove libxmu-dev, libxi-dev from build-depends and move doxygen
      to -Indep. Thanks Helmut Grohne (Closes: #981416)
  * debian/patches/deb_glview
    - hardcode   set(GLUT_LIBRARY glut)  since otherwise not set nowadays
      (Closes: #1017176)
  * removed debian/patches/neurodebian-backport* (probably no longer needed,
    was from 2012). (Closes: #915921)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 13 Sep 2022 12:30:00 -0400

libfreenect (1:0.5.3-2) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; python bindings can be added again when packaging an
    upstream release supporting python3; Closes: #936857

 -- Sandro Tosi <morph@debian.org>  Thu, 09 Apr 2020 00:50:52 -0400

libfreenect (1:0.5.3-1) unstable; urgency=medium

  * Recent upstream bugfix release
  * debian/{patches/deb_python_versions,rules}
    - adjusted to not use generic FindPython* helpers since shown to be
      not robust and in our case we need just a single version ATM
      (Closes: #809582)
  * debian/patches/up_donot_leak_fnusb_claim_camera_into_API
    to avoid leaking fnusb_claim_camera() into public library

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 01 Jan 2016 22:26:32 -0500
