=== debian/control ===
Source: libfreenect
Section: libdevel
Priority: extra
Maintainer: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
Uploaders: Arne Bernin <arne@alamut.de>, Yaroslav Halchenko <debian@onerussian.com>, Mark Renouf <mark.renouf@gmail.com>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 9), cmake,  pkg-config,
 libusb-1.0-0-dev(>= 1.0.18~), freeglut3-dev,
Build-Depends-Indep:
 doxygen,
Standards-Version: 3.9.6
Homepage: http://openkinect.org/
Vcs-Git: https://salsa.debian.org/neurodebian-team/libfreenect.git -b debian
Vcs-Browser: https://salsa.debian.org/neurodebian-team/libfreenect.git

Package: libfreenect0.5t64
Provides: ${t64:Provides}
Replaces: libfreenect0.5
Breaks: libfreenect0.5 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libfreenect
Description: library for accessing Kinect device
 libfreenect is a cross-platform library that provides the necessary interfaces
 to activate, initialize, and communicate data with the Kinect hardware.
 Currently, the library supports access to RGB and depth video streams, motors,
 accelerometer and LED and provide binding in different languages (C++,
 Python...)
 .
 This library is the low level component of the OpenKinect project which is an
 open community of people interested in making use of the Xbox Kinect hardware
 with PCs and other devices.
 .
 This package contains the shared library of libfreenect.

Package: libfreenect-dev
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libfreenect0.5t64 (= ${binary:Version}), libusb-1.0-0-dev (>= 1.0.18~)
Description: library for accessing Kinect device -- development files
 libfreenect is a cross-platform library that provides the necessary interfaces
 to activate, initialize, and communicate data with the Kinect hardware.
 Currently, the library supports access to RGB and depth video streams, motors,
 accelerometer and LED and provide binding in different languages (C++,
 Python...)
 .
 This library is the low level component of the OpenKinect project which is an
 open community of people interested in making use of the Xbox Kinect hardware
 with PCs and other devices.
 .
 This is the development package containing the libraries and header for
 software development with libfreenect.

Package: libfreenect-bin
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libfreenect-demos (<< 1:0.1.2+dfsg-1)
Breaks: libfreenect-demos (<< 1:0.1.2+dfsg-1)
Description: library for accessing Kinect device -- utilities and samples
 libfreenect is a cross-platform library that provides the necessary interfaces
 to activate, initialize, and communicate data with the Kinect hardware.
 Currently, the library supports access to RGB and depth video streams, motors,
 accelerometer and LED and provide binding in different languages (C++,
 Python...)
 .
 This library is the low level component of the OpenKinect project which is an
 open community of people interested in making use of the Xbox Kinect hardware
 with PCs and other devices.
 .
 This package includes utilities and sample programs for kinect.

Package: libfreenect-demos
Architecture: any
Depends: libfreenect-bin, ${misc:Depends}
Description: library for accessing Kinect device -- dummy package
 libfreenect is a cross-platform library that provides the necessary interfaces
 to activate, initialize, and communicate data with the Kinect hardware.
 Currently, the library supports access to RGB and depth video streams, motors,
 accelerometer and LED and provide binding in different languages (C++,
 Python...)
 .
 This library is the low level component of the OpenKinect project which is an
 open community of people interested in making use of the Xbox Kinect hardware
 with PCs and other devices.
 .
 This package is a metapackage to do the transition from libfreenect-demos
 to libfreenect-bin. This package can be removed after installation.

Package: libfreenect-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: library for accessing Kinect device -- documentation
 libfreenect is a cross-platform library that provides the necessary interfaces
 to activate, initialize, and communicate data with the Kinect hardware.
 Currently, the library supports access to RGB and depth video streams, motors,
 accelerometer and LED and provide binding in different languages (C++,
 Python...)
 .
 This library is the low level component of the OpenKinect project which is an
 open community of people interested in making use of the Xbox Kinect hardware
 with PCs and other devices.
 .
 This package contains the documentation of the API of libfreenect.

Package: freenect
Section: libs
Architecture: any
Depends: ${misc:Depends}, libfreenect-bin, libfreenect-dev, libfreenect0.5t64,
 libfreenect-doc
Description: library for accessing Kinect device -- metapackage
 libfreenect is a cross-platform library that provides the necessary interfaces
 to activate, initialize, and communicate data with the Kinect hardware.
 Currently, the library supports access to RGB and depth video streams, motors,
 accelerometer and LED and provide binding in different languages (C++,
 Python...)
 .
 This library is the low level component of the OpenKinect project which is an
 open community of people interested in making use of the Xbox Kinect hardware
 with PCs and other devices.
 .
 This is the metapackage to install all components of the project.
